Subject: bug#59347: 29.0.50; `:family` face setting ignored

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Dec 2022 17:40:07 +0200

> From: Po Lu <[email-masked]>
> Cc: Gregory Heytings <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Tue, 13 Dec 2022 09:16:48 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > If this is so, why not disable that only for Haiku?
> 
> It's also rather pointless to disable just :extra, as it's a property
> list of extra properties, which should have their individual options.

I eventually came to the conclusion that there's no such attribute as
:extra, it is just our internal implementation detail.  So I removed
it from this stuff.

> > Is this okay with you both?  I volunteer to make these changes if you
> > agree.
> 
> I'm fine with that, thanks.

OK, so I've now made those changes on the emacs-29 branch.